<?php
require_once 'PHPUnit/Framework.php';
require_once dirname(__FILE__) . '/../Phostgres/Connection.php';

abstract class Phostgres_TestCase extends PHPUnit_Framework_TestCase {
	public $connectionString, $connection;

	function setUp() {
		$connectionStringPath = dirname(__FILE__) . '/connection.string';

		if(is_readable($connectionStringPath)) {
			$this->connectionString = file_get_contents($connectionStringPath);
			$this->connection = Phostgres_Connection::establish(
				$this->connectionString
			);
		}
		else
			$this->fail("$connectionStringPath file isn't readable or there.");
	}
}
