<?php
require_once 'PHPUnit/Framework.php';
require_once 'PHPUnit/TextUI/TestRunner.php';

final class AllTests {
	static function suite() {
		$tests = dir(dirname(__FIlE__).'/');
		$suite = new PHPUnit_Framework_TestSuite('Phostgres');

		while($file = $tests->read()) if($class = self::isTestFile($file)) {
			include_once $tests->path.$file;
			$suite->addTestSuite($class);
		}

		return $suite;
	}

	protected static function isTestFile($file) {
		if(!ereg('^([A-Z][A-Za-z0-9_]*Test)\.php$', $file, $i))
			return false;

		return $i[1];
	}
}

